;*** LED.inc ***;
;------------------------------------------------
; Author: Torsten Knorr
; E-mail: create-soft@freenet.de
; copyright(C) 2016-2017 by Torsten Knorr
;------------------------------------------------

 .ifndef __RFM12BP_LED__
 .equ    __RFM12BP_LED__ = 1

 .include "RFM12BP.inc"

;------------------------------------------------

 .macro M_LED_RUN_ON
    sbi  PORTD,         LED_RUN
 .endmacro

 .macro M_LED_RUN_OFF
    cbi  PORTD,         LED_RUN
 .endmacro

 .macro M_LED_LISTEN_ON
    sbi  PORTD,         LED_LISTEN
 .endmacro

 .macro M_LED_LISTEN_OFF
    cbi  PORTD,         LED_LISTEN
 .endmacro

 .macro M_LED_RX_ON
    sbi  PORTC,         LED_RX
 .endmacro

 .macro M_LED_RX_OFF
    cbi  PORTC,         LED_RX
 .endmacro

 .macro M_LED_TX_ON
    sbi  PORTB,         LED_TX
 .endmacro

 .macro M_LED_TX_OFF
    cbi  PORTB,         LED_TX
 .endmacro

 .macro M_LED_VDI_ON
    sbi  PORTD,         LED_VDI
 .endmacro

 .macro M_LED_VDI_OFF
    cbi  PORTD,         LED_VDI
 .endmacro

 .macro M_LED_DEBUG_1_ON
    sbi  PORTD,         LED_DEBUG_1
 .endmacro

 .macro M_LED_DEBUG_1_OFF
    cbi  PORTD,         LED_DEBUG_1
 .endmacro

 .macro M_LED_DEBUG_2_ON
    sbi  PORTD,         LED_DEBUG_2
 .endmacro

 .macro M_LED_DEBUG_2_OFF
    cbi  PORTD,        LED_DEBUG_2
 .endmacro

;------------------------------------------------

 .macro M_TEST_LEDS

    M_LED_RUN_ON
    M_SET_TIMER_1 TIME_200MS
    M_WAIT_TIMER_1

    M_LED_LISTEN_ON
    M_SET_TIMER_1 TIME_200MS
    M_WAIT_TIMER_1

    M_LED_RX_ON
    M_SET_TIMER_1 TIME_200MS
    M_WAIT_TIMER_1

    M_LED_TX_ON
    M_SET_TIMER_1 TIME_200MS
    M_WAIT_TIMER_1

    M_LED_VDI_ON
    M_SET_TIMER_1 TIME_200MS
    M_WAIT_TIMER_1

    M_LED_DEBUG_1_ON
    M_SET_TIMER_1 TIME_200MS
    M_WAIT_TIMER_1

    M_LED_DEBUG_2_ON
    M_SET_TIMER_1 TIME_200MS
    M_WAIT_TIMER_1

    M_LED_RUN_OFF
    M_SET_TIMER_1 TIME_200MS
    M_WAIT_TIMER_1

    M_LED_LISTEN_OFF
    M_SET_TIMER_1 TIME_200MS
    M_WAIT_TIMER_1

    M_LED_RX_OFF
    M_SET_TIMER_1 TIME_200MS
    M_WAIT_TIMER_1

    M_LED_TX_OFF
    M_SET_TIMER_1 TIME_200MS
    M_WAIT_TIMER_1

    M_LED_VDI_OFF
    M_SET_TIMER_1 TIME_200MS
    M_WAIT_TIMER_1

    M_LED_DEBUG_1_OFF
    M_SET_TIMER_1 TIME_200MS
    M_WAIT_TIMER_1

    M_LED_DEBUG_2_OFF
    M_SET_TIMER_1 TIME_200MS
    M_WAIT_TIMER_1

 .endmacro

;------------------------------------------------

 .endif

;------------------------------------------------
